import { AuthInfo } from '@genesislcap/foundation-comms';
import { BaseRoute } from '../base';
import { IDP } from '../types';
export declare class Login extends BaseRoute {
    idps: IDP[];
    selectedIDP: string;
    ssoToggled: boolean;
    enter(): Promise<void>;
    private automaticLogin;
    private attemptBasicLogin;
    ssoToggledChanged(): void;
    get selectedIDPName(): string;
    onClickSSO(): void;
    onLoginSubmit(): Promise<void>;
    login(credentials: AuthInfo): void;
    logout(): void;
    onOpenSocketTest(): void;
    onCloseSocketTest(): void;
    onRefreshTest(): void;
    onLoginDetailsTest(): void;
    get submitDisabled(): boolean;
}
//# sourceMappingURL=login.d.ts.map